| FFmpegKit Android API 6.0

Loading...
Searching...
No Matches
Macros | Functions
ffmpegkit_abidetect.h File Reference

Go to the source code of this file.

## Macros
#define | ABI_ARMV7A_NEON "armeabi-v7a-neon"
#define | ABI_ARMV7A "armeabi-v7a"
#define | ABI_ARM "armeabi"
#define | ABI_X86 "x86"
#define | ABI_X86_64 "x86_64"
#define | ABI_ARM64_V8A "arm64-v8a"
#define | ABI_UNKNOWN "unknown"

## Functions
JNIEXPORT jstring JNICALL | Java_com_arthenica_ffmpegkit_AbiDetect_getNativeAbi (JNIEnv *, jclass)
JNIEXPORT jstring JNICALL | Java_com_arthenica_ffmpegkit_AbiDetect_getNativeCpuAbi (JNIEnv *, jclass)
JNIEXPORT jboolean JNICALL | Java_com_arthenica_ffmpegkit_AbiDetect_isNativeLTSBuild (JNIEnv *, jclass)
JNIEXPORT jstring JNICALL | Java_com_arthenica_ffmpegkit_AbiDetect_getNativeBuildConf (JNIEnv *, jclass)

## Macro Definition Documentation

## ◆ ABI_ARM

#define ABI_ARM "armeabi"

Represents armeabi ABI.

Definition at line 33 of file ffmpegkit_abidetect.h.

## ◆ ABI_ARM64_V8A

#define ABI_ARM64_V8A "arm64-v8a"

Represents arm64-v8a ABI.

Definition at line 42 of file ffmpegkit_abidetect.h.

## ◆ ABI_ARMV7A

#define ABI_ARMV7A "armeabi-v7a"

Represents armeabi-v7a ABI.

Definition at line 30 of file ffmpegkit_abidetect.h.

## ◆ ABI_ARMV7A_NEON

#define ABI_ARMV7A_NEON "armeabi-v7a-neon"

Represents armeabi-v7a ABI with NEON support.

Definition at line 27 of file ffmpegkit_abidetect.h.

## ◆ ABI_UNKNOWN

#define ABI_UNKNOWN "unknown"

Represents not supported ABIs.

Definition at line 45 of file ffmpegkit_abidetect.h.

## ◆ ABI_X86

#define ABI_X86 "x86"

Represents x86 ABI.

Definition at line 36 of file ffmpegkit_abidetect.h.

## ◆ ABI_X86_64

#define ABI_X86_64 "x86_64"

Represents x86_64 ABI.

Definition at line 39 of file ffmpegkit_abidetect.h.

## Function Documentation

## ◆ Java_com_arthenica_ffmpegkit_AbiDetect_getNativeAbi()

JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_getNativeAbi | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Returns loaded ABI name.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Returns
  loaded ABI name as UTF string

Definition at line 70 of file ffmpegkit_abidetect.c.

## ◆ Java_com_arthenica_ffmpegkit_AbiDetect_getNativeBuildConf()

JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_getNativeBuildConf | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Returns build configuration for FFmpeg.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Returns
  build configuration string

Definition at line 142 of file ffmpegkit_abidetect.c.

## ◆ Java_com_arthenica_ffmpegkit_AbiDetect_getNativeCpuAbi()

JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_getNativeCpuAbi | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Returns ABI name of the running cpu.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Returns
  ABI name of the running cpu as UTF string

Definition at line 93 of file ffmpegkit_abidetect.c.

## ◆ Java_com_arthenica_ffmpegkit_AbiDetect_isNativeLTSBuild()

JNIEXPORT jboolean JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_isNativeLTSBuild | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Class: com_arthenica_ffmpegkit_AbiDetect Method: isNativeLTSBuild Signature: ()Z

Returns whether FFmpegKit release is a long term release or not.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Returns
  yes or no

Definition at line 127 of file ffmpegkit_abidetect.c.